
Redmine - Defect #27296

Custom Query roles aren't per project

2017-10-25 01:02 - Jon Schell

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.3

Description

When creating a custom query, and it's set to only be visible to certain roles, as long as a user has that role on any project then the

query is visible, even if they don't have that role in the particular project the user is looking at.

Related issues:

Is duplicate of Redmine - Defect #20427: Cannot create a custom query visibil... Closed

History

#1 - 2017-11-23 07:52 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I think it is fixed by #20427.

#2 - 2017-11-24 02:34 - Go MAEDA

- Category changed from Issues filter to Issues

Please try updating your Redmine to version 3.0.5 or later.

#3 - 2022-10-27 19:44 - Jon Schell

Updated to 4.2, can't reproduce.

#4 - 2022-10-31 06:59 - Go MAEDA

- Is duplicate of Defect #20427: Cannot create a custom query visibility is "to these roles only" added

#5 - 2022-10-31 06:59 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Jon Schell wrote:

Updated to 4.2, can't reproduce.

 Thank you for your feedback. Closing.
